Bug Hunting Session
Bug 115002 - Include required bitness information into "Java missing" messages on Windows
Summary: Include required bitness information into "Java missing" messages on Windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium enhancement
Assignee: tagezi
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-14 17:20 UTC by Mike Kaganski
Modified: 2018-03-30 10:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-01-14 17:20:51 UTC
Strings for missing or invalid Java (see STR_WARNING_JAVANOTFOUND and friends in include/svtools/strings.hrc) don't contain information about which bitness should be the required Java. But at least for Windows, this is essential, as endless duplicate questions on AskLibO show. As Oracle's Java site doesn't make it obvious for non-geeks that Java offered for download isn't the only one possible choice, people don't realize that we don't need *any* Java, but of specific bitness.

The proposal is to add the bitness information to "Java missing" messages on Windows, like this:

> %PRODUCTNAME requires a 64-bit Java runtime environment (JRE) to perform this task.
> Please install a 64-bit JRE and restart %PRODUCTNAME.

The 64-bit (32-bit) should only be added to Windows builds, as it seems that there's no such problem on other OSes.
Comment 1 Heiko Tietze 2018-01-15 09:28:33 UTC
Sounds reasonable but rather using a variable "%PRODUCTNAME requires a %BITNESS Java runtime environment (JRE)...". And I wonder how you distinguish between the different OS to have only one string.

Ideally we also provide instructions how to proceed, i.e. where to download the installer.
Comment 2 Commit Notification 2018-01-22 05:42:24 UTC
tagezi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=506e1396c34bb90c8d2c3679e3e84c3833b18869

tdf#115002 Including of bitness information into Java message on Windows

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.